Old modules and plugins

Note: This database has been replaced by the Moodle Plugins Directory.

Activity Module: Skype Module

Type: Activity Module
Requires: Moodle 1.9 or later
Status: Contributed
Maintainer(s): Amr Hourani

UPDATE: This version is for 1.9.6+ (may work on all 1.9, not tested though)!

For Moodle 2.x skype module: download it from here.

 

Skype (IPA: [skaɪp], rhymes with type) is a software program created by the Swedish and Danish entrepreneurs Niklas Zennström and Janus Friis. Skype allows users to make telephone calls over the internet to other Skype users free of charge, or to landlines and cell phones for a fee. Additional features include instant messaging, file transfer, short message service, video conferencing and its ability to circumvent firewalls.

By Amr Hourani

With this module, you can make Video calling, send files, chat, send sms, and use skype cast with your collegues!

Note: Old moodle skype module is not available anymore, and I can not support it. This is an alpha release, I will enhance it once I have time.

 

Cheers from Amr Hourani


Comments

  • Picture of Ken WongKen Wong - 6 May, 18:54
    oops, the skypecheck js file was named .php extension
    now i call an conference, but it work only if one person, multiselect users not work o.o
  • Picture of Prashant GhildiyalPrashant Ghildiyal - 8 September, 00:35

    Can someone please give detailed steps to install this plugin?

    I copied skype folder inside mod folder and copied skype.php inside lang/en_utf8 but when i click on notifications nothing happens and also i cannot see skype listed in activity.

    Regards,

    Prashant

  • Me and da boys!E. L. Cooper - 18 March, 22:47
    I still use this but I have not chossen to upgrade to skype 4.0 so your milage may vary.

  • Me and da boys!E. L. Cooper - 18 March, 22:48
  • Picture of andrew dwyerandrew dwyer - 31 March, 12:12

    Have followed all instructions, installed properly, have users setup with Skype id but when i get to the point of selecting users, the list is empty.

    Users and activity setup in the same class

    Anyone got any ideas, any help appreciated 

    Andrew Dwyer

  • Picture of Yuri RedaelliYuri Redaelli - 9 April, 18:39
    Hi all,

    nice plug-in but It has some problems.

    Pay attention at php shortags (in some places in the code) that can cause rendering error and malfunctions.

    It's not easy to translate in other languages because a lot of strings are hardcoded.

    My 2 cents.

    Bye.


  • Picture of d morted morte - 15 April, 21:51
    I'm also experiencing a problem in 1.9.7 - I get a blank screen when I click on Notifications. In debugging mode I get the following error: Fatal error: Cannot redeclare label_upgrade() (previously declared in /var/www/html/moodle/mod/label/db/postgres7.php:8) in /var/www/html/moodle/mod/skype/db/postgres7.php on line 13


  • Picture of Sheri SullivanSheri Sullivan - 8 June, 22:21
    Change the tag "label_upgrade" to "skype_upgrade"  in the postgres7.php file.
  • Picture of Sheri SullivanSheri Sullivan - 17 July, 03:35

    Am not able to get SKYPE working on upgraded server.  Does SKYPE work with Postgresql 8.1.18?

  • PietroPietro Marafiga Monteiro - 11 August, 05:24
    How do I proceed to add a skype user?
    Even with students enrolled in the Virtual classroom, there is no one there to add.

    I'm stuck in this screen:

    moodle_skype
  • Picture of ga setrga setr - 6 May, 17:01
    it works on moodle 2.0.2?
  • Picture of Max StenlundMax Stenlund - 7 September, 02:58
    Installation instructions for 2.1 makes no sence...
  • Picture of J CJ C - 13 September, 22:26
    'Browse Documentation' link in download plugin section goes to a CVS Pharmacy webpage smile
  • Picture of J CJ C - 13 September, 22:50
    Sorry, bad install files.

    1. Extracting archive to mod directory does not create a subdirectory, installs to mod directory (makes a mess with lots of files)

    2. After naming a directory to expand to 'skype' then going to Admin, notifications, get this error:

    Plugin "mod_js" is defective or outdated, can not continue, sorry.

    More information about this error
    Debug info: Missing version.php
    Stack trace:

    line 436 of /lib/upgradelib.php: plugin_defective_exception thrown
    line 271 of /lib/upgradelib.php: call to upgrade_plugins_modules()
    line 1427 of /lib/upgradelib.php: call to upgrade_plugins()
    line 311 of /admin/index.php: call to upgrade_noncore()

    I am using Moodle 2.0.4+

    I have to delete the directories and then pick out all the files and subdirs in my 'mod' folder. What a Mess! sad
  • Picture of Gabi Michaela Dev-TeamGabi Michaela Dev-Team - 30 January, 23:11
    megaupload and ilearnware.com are down. where can I download it?
Page: 1 2 3 ()